program coordtest

  implicit none

  integer, parameter :: n = 8
  integer :: i
  real :: rorig, thetaorig
  real :: x, y, r, theta

  ! Divide unit circle into n pieces and compute transformations
  rorig = 1.0
  do i = 0, n-1
     thetaorig = 2*pi*(real(i)/n)

     call polarcartesian(rorig, thetaorig, x, y)
     call cartesianpolar(x, y, r, theta)
     write (*,'(A20,X,E14.7,X,E14.7)') 'Original (r,theta)=', rorig, thetaorig
     write (*,'(A20,X,E14.7,X,E14.7)') 'Cartesian (x,y)=', x, y
     write (*,'(A20,X,E14.7,X,E14.7)') 'Polar (r,theta)=', r, theta
  end do

end program coordtest
