  subroutine cartesianpolar(x, y, r, theta)
    implicit none

    real, intent(in) :: x, y
    real, intent(out) :: r, theta

    r = sqrt(x**2 + y**2)
    theta = atan2(y,x)
    if (theta < 0.0) theta = theta + 2 * pi
  end subroutine cartesianpolar

  subroutine polarcartesian(r, theta, x, y)
    implicit none

    real, intent(in) :: r, theta
    real, intent(out) :: x, y

    x = r * cos(theta)
    y = r * sin(theta)
  end subroutine polarcartesian
